/*
 *  client.c
 *  WiiDev
 *
 *  Created by Ian Rickard on 2/21/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

//#include "client.h"
#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include "wiidev_client.h"


int main(int arc, char **argv) {
	WiiDevRef wii;
	int i;
	
	wii = WiiDevNewFromName("wii1");
	
	if (!wii) {
		perror("could not connect to Wii Remote wii1");
		return -1;
	}
	
	WiiDevSetLEDs(wii,8+1);
	for(i=0 ; i<3 ; i++) {
		WiiDevEnableVibration(wii, 1);
		usleep(100*1000);
		WiiDevEnableVibration(wii, 0);
		usleep(400*1000);
	}
//	while (WiiDevUpdate(wii) == 0) {}
//	perror("exited");
	
	return 0;
}